/// <reference types="node" />
interface DigestOptions {
    encoding?: string | number;
    maxLength?: number;
}
export declare type HashOptions = DigestOptions & {
    hash?: string;
};
export interface Hash {
    update(input: string | Buffer): Hash;
    digest(): string | Buffer;
}
export declare function baseEncode(buffer: Buffer, base: string | number): string;
export declare class Hasher {
    private hasher;
    private encoding;
    private maxLength;
    constructor(options?: HashOptions);
    update(data: string | Buffer): Hash;
    digest(encoding?: string, maxLength?: number): string;
}
/**
 * Creates hasher instance
 */
export declare function createHasher(hash: string): Hash;
/**
 * Get hash from file
 *
 * @param fileName Filename of file to hash
 */
export declare function getHash(fileName: string, options?: HashOptions): Promise<string>;
/**
 * Get new filename based upon hash and extension of file
 *
 * @param fileName Filename of file to hash
 */
export declare function getHashedName(fileName: string, options?: HashOptions): Promise<string>;
export {};
